function out = f_p(q, mu, n, N)
out = zeros(N*n, 1);
for i = 1:N
    mu_i = mu((i-1)*n+1:i*n);
    q_i = q((i-1)*n+1:i*n);
    for j = 1:N
        if j ~= i
            mu_j = mu((j-1)*n+1:j*n);
            q_j = q((j-1)*n+1:j*n);
            r_ij = q_i - q_j;
            r_ij_norm = norm(r_ij);
            out((i-1)*n+1:i*n) = out((i-1)*n+1:i*n) + (-48/r_ij_norm^14 - (3*mu_i'*mu_j)/r_ij_norm^5 + (15*mu_i'*r_ij*mu_j'*r_ij)/r_ij_norm^7)*r_ij...
                - (3*(mu_j'*r_ij)*mu_i)/r_ij_norm^5 - (3*(mu_i'*r_ij)*mu_j)/r_ij_norm^5;
        end
    end
end
out = -out;
end
