function plot_casimir(y_vec, T, n_steps)
h = T/n_steps;
casi = casimir(y_vec);
err_casi = zeros(1, n_steps);

for i = 1:n_steps
    err_casi(i) = casi(i) - casi(1);
end

time = 0:h:h*(n_steps-1);

plot(time, err_casi)
xlabel('Time')
ylabel('Error in Casimir function')
set(gca,'linewidth',2)
set(gca,'fontsize',14)
% savefig(['Err_casi_rigid_body_T_', num2str(T), '_nsteps', num2str(n_steps)])
% print(['Err_casi_rigid_body_T_', num2str(T), '_nsteps', num2str(n_steps)], '-dpng')
end