function plot_hamiltonian(y_vec , I, T, n_steps) 
h = T/n_steps;
hamilt = hamiltonian(y_vec , I); 
err_hamilt = zeros(1, n_steps);

for i = 1:n_steps
    err_hamilt(i) = hamilt(i) - hamilt(1);
end
 time = 0:h:h*(n_steps-1);
plot(time, err_hamilt)

xlabel('Time')
ylabel('Error in Hamiltonian function')
set(gca,'linewidth',2)
set(gca,'fontsize',14)
savefig(['Err_ham_rigid_body_T_', num2str(T), '_nsteps', num2str(n_steps)])
print(['Err_ham_rigid_body_T_', num2str(T), '_nsteps', num2str(n_steps)], '-dpng')
end